# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Global [ipgui::add_page $IPINST -name "Global"]
  ipgui::add_param $IPINST -name "C_S_AXI_ACLK_FREQ_HZ" -parent ${Global}
  ipgui::add_param $IPINST -name "C_SYSTEMCLOCK" -parent ${Global}

  #Adding Page
  set Uart [ipgui::add_page $IPINST -name "Uart"]
  ipgui::add_param $IPINST -name "C_UART_NUM" -parent ${Uart}
  ipgui::add_param $IPINST -name "C_SPACE_VALUE" -parent ${Uart}
  ipgui::add_param $IPINST -name "C_EDATA_VALUE" -parent ${Uart}
  ipgui::add_param $IPINST -name "C_CLKDIV_WIDTH" -parent ${Uart}
  ipgui::add_param $IPINST -name "C_WEIGHT_WIDTH" -parent ${Uart}
  ipgui::add_param $IPINST -name "C_TXFIFO_DEPTH" -parent ${Uart}
  ipgui::add_param $IPINST -name "C_RXFIFO_DEPTH" -parent ${Uart}

  #Adding Page
  set Gpio [ipgui::add_page $IPINST -name "Gpio"]
  ipgui::add_param $IPINST -name "C_GPIO_WIDTH" -parent ${Gpio}
  ipgui::add_param $IPINST -name "C_GPIO_IN_ENA" -parent ${Gpio}
  ipgui::add_param $IPINST -name "C_GPIO_OUT_ENA" -parent ${Gpio}
  ipgui::add_param $IPINST -name "C_GPIO_TRI_ENA" -parent ${Gpio}
  ipgui::add_param $IPINST -name "C_GPIO_OUT_DEF" -parent ${Gpio}
  ipgui::add_param $IPINST -name "C_GPIO_TRI_DEF" -parent ${Gpio}


}

proc update_PARAM_VALUE.C_CLKDIV_WIDTH { PARAM_VALUE.C_CLKDIV_WIDTH } {
	# Procedure called to update C_CLKDIV_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_CLKDIV_WIDTH { PARAM_VALUE.C_CLKDIV_WIDTH } {
	# Procedure called to validate C_CLKDIV_WIDTH
	return true
}

proc update_PARAM_VALUE.C_EDATA_VALUE { PARAM_VALUE.C_EDATA_VALUE } {
	# Procedure called to update C_EDATA_VALUE when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_EDATA_VALUE { PARAM_VALUE.C_EDATA_VALUE } {
	# Procedure called to validate C_EDATA_VALUE
	return true
}

proc update_PARAM_VALUE.C_GPIO_IN_ENA { PARAM_VALUE.C_GPIO_IN_ENA } {
	# Procedure called to update C_GPIO_IN_ENA when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_GPIO_IN_ENA { PARAM_VALUE.C_GPIO_IN_ENA } {
	# Procedure called to validate C_GPIO_IN_ENA
	return true
}

proc update_PARAM_VALUE.C_GPIO_OUT_DEF { PARAM_VALUE.C_GPIO_OUT_DEF } {
	# Procedure called to update C_GPIO_OUT_DEF when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_GPIO_OUT_DEF { PARAM_VALUE.C_GPIO_OUT_DEF } {
	# Procedure called to validate C_GPIO_OUT_DEF
	return true
}

proc update_PARAM_VALUE.C_GPIO_OUT_ENA { PARAM_VALUE.C_GPIO_OUT_ENA } {
	# Procedure called to update C_GPIO_OUT_ENA when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_GPIO_OUT_ENA { PARAM_VALUE.C_GPIO_OUT_ENA } {
	# Procedure called to validate C_GPIO_OUT_ENA
	return true
}

proc update_PARAM_VALUE.C_GPIO_TRI_DEF { PARAM_VALUE.C_GPIO_TRI_DEF } {
	# Procedure called to update C_GPIO_TRI_DEF when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_GPIO_TRI_DEF { PARAM_VALUE.C_GPIO_TRI_DEF } {
	# Procedure called to validate C_GPIO_TRI_DEF
	return true
}

proc update_PARAM_VALUE.C_GPIO_TRI_ENA { PARAM_VALUE.C_GPIO_TRI_ENA } {
	# Procedure called to update C_GPIO_TRI_ENA when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_GPIO_TRI_ENA { PARAM_VALUE.C_GPIO_TRI_ENA } {
	# Procedure called to validate C_GPIO_TRI_ENA
	return true
}

proc update_PARAM_VALUE.C_GPIO_WIDTH { PARAM_VALUE.C_GPIO_WIDTH } {
	# Procedure called to update C_GPIO_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_GPIO_WIDTH { PARAM_VALUE.C_GPIO_WIDTH } {
	# Procedure called to validate C_GPIO_WIDTH
	return true
}

proc update_PARAM_VALUE.C_RXFIFO_DEPTH { PARAM_VALUE.C_RXFIFO_DEPTH } {
	# Procedure called to update C_RXFIFO_DEPTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_RXFIFO_DEPTH { PARAM_VALUE.C_RXFIFO_DEPTH } {
	# Procedure called to validate C_RXFIFO_DEPTH
	return true
}

proc update_PARAM_VALUE.C_SPACE_VALUE { PARAM_VALUE.C_SPACE_VALUE } {
	# Procedure called to update C_SPACE_VALUE when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SPACE_VALUE { PARAM_VALUE.C_SPACE_VALUE } {
	# Procedure called to validate C_SPACE_VALUE
	return true
}

proc update_PARAM_VALUE.C_SYSTEMCLOCK { PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to update C_SYSTEMCLOCK when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SYSTEMCLOCK { PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to validate C_SYSTEMCLOCK
	return true
}

proc update_PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to update C_S_AXI_ACLK_FREQ_HZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to validate C_S_AXI_ACLK_FREQ_HZ
	return true
}

proc update_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to update C_S_AXI_ADDR_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to validate C_S_AXI_ADDR_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to update C_S_AXI_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to validate C_S_AXI_DATA_WIDTH
	return true
}

proc update_PARAM_VALUE.C_TXFIFO_DEPTH { PARAM_VALUE.C_TXFIFO_DEPTH } {
	# Procedure called to update C_TXFIFO_DEPTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_TXFIFO_DEPTH { PARAM_VALUE.C_TXFIFO_DEPTH } {
	# Procedure called to validate C_TXFIFO_DEPTH
	return true
}

proc update_PARAM_VALUE.C_UART_NUM { PARAM_VALUE.C_UART_NUM } {
	# Procedure called to update C_UART_NUM when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_UART_NUM { PARAM_VALUE.C_UART_NUM } {
	# Procedure called to validate C_UART_NUM
	return true
}

proc update_PARAM_VALUE.C_WEIGHT_WIDTH { PARAM_VALUE.C_WEIGHT_WIDTH } {
	# Procedure called to update C_WEIGHT_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_WEIGHT_WIDTH { PARAM_VALUE.C_WEIGHT_WIDTH } {
	# Procedure called to validate C_WEIGHT_WIDTH
	return true
}


proc update_MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ}] ${MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ}
}

proc update_MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH { MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_DATA_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH { MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_ADDR_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH}
}

proc update_MODELPARAM_VALUE.C_SYSTEMCLOCK { MODELPARAM_VALUE.C_SYSTEMCLOCK PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SYSTEMCLOCK}] ${MODELPARAM_VALUE.C_SYSTEMCLOCK}
}

proc update_MODELPARAM_VALUE.C_UART_NUM { MODELPARAM_VALUE.C_UART_NUM PARAM_VALUE.C_UART_NUM } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_UART_NUM}] ${MODELPARAM_VALUE.C_UART_NUM}
}

proc update_MODELPARAM_VALUE.C_SPACE_VALUE { MODELPARAM_VALUE.C_SPACE_VALUE PARAM_VALUE.C_SPACE_VALUE } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SPACE_VALUE}] ${MODELPARAM_VALUE.C_SPACE_VALUE}
}

proc update_MODELPARAM_VALUE.C_EDATA_VALUE { MODELPARAM_VALUE.C_EDATA_VALUE PARAM_VALUE.C_EDATA_VALUE } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_EDATA_VALUE}] ${MODELPARAM_VALUE.C_EDATA_VALUE}
}

proc update_MODELPARAM_VALUE.C_CLKDIV_WIDTH { MODELPARAM_VALUE.C_CLKDIV_WIDTH PARAM_VALUE.C_CLKDIV_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_CLKDIV_WIDTH}] ${MODELPARAM_VALUE.C_CLKDIV_WIDTH}
}

proc update_MODELPARAM_VALUE.C_WEIGHT_WIDTH { MODELPARAM_VALUE.C_WEIGHT_WIDTH PARAM_VALUE.C_WEIGHT_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_WEIGHT_WIDTH}] ${MODELPARAM_VALUE.C_WEIGHT_WIDTH}
}

proc update_MODELPARAM_VALUE.C_TXFIFO_DEPTH { MODELPARAM_VALUE.C_TXFIFO_DEPTH PARAM_VALUE.C_TXFIFO_DEPTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_TXFIFO_DEPTH}] ${MODELPARAM_VALUE.C_TXFIFO_DEPTH}
}

proc update_MODELPARAM_VALUE.C_RXFIFO_DEPTH { MODELPARAM_VALUE.C_RXFIFO_DEPTH PARAM_VALUE.C_RXFIFO_DEPTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_RXFIFO_DEPTH}] ${MODELPARAM_VALUE.C_RXFIFO_DEPTH}
}

proc update_MODELPARAM_VALUE.C_GPIO_WIDTH { MODELPARAM_VALUE.C_GPIO_WIDTH PARAM_VALUE.C_GPIO_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_GPIO_WIDTH}] ${MODELPARAM_VALUE.C_GPIO_WIDTH}
}

proc update_MODELPARAM_VALUE.C_GPIO_IN_ENA { MODELPARAM_VALUE.C_GPIO_IN_ENA PARAM_VALUE.C_GPIO_IN_ENA } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_GPIO_IN_ENA}] ${MODELPARAM_VALUE.C_GPIO_IN_ENA}
}

proc update_MODELPARAM_VALUE.C_GPIO_OUT_ENA { MODELPARAM_VALUE.C_GPIO_OUT_ENA PARAM_VALUE.C_GPIO_OUT_ENA } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_GPIO_OUT_ENA}] ${MODELPARAM_VALUE.C_GPIO_OUT_ENA}
}

proc update_MODELPARAM_VALUE.C_GPIO_TRI_ENA { MODELPARAM_VALUE.C_GPIO_TRI_ENA PARAM_VALUE.C_GPIO_TRI_ENA } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_GPIO_TRI_ENA}] ${MODELPARAM_VALUE.C_GPIO_TRI_ENA}
}

proc update_MODELPARAM_VALUE.C_GPIO_OUT_DEF { MODELPARAM_VALUE.C_GPIO_OUT_DEF PARAM_VALUE.C_GPIO_OUT_DEF } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_GPIO_OUT_DEF}] ${MODELPARAM_VALUE.C_GPIO_OUT_DEF}
}

proc update_MODELPARAM_VALUE.C_GPIO_TRI_DEF { MODELPARAM_VALUE.C_GPIO_TRI_DEF PARAM_VALUE.C_GPIO_TRI_DEF } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_GPIO_TRI_DEF}] ${MODELPARAM_VALUE.C_GPIO_TRI_DEF}
}

