# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_S_AXI_ACLK_FREQ_HZ" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SYSTEMCLOCK" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SCLK_FREQ_HZ" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_FMEM_READ_EN" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_FMEM_READ_EN { PARAM_VALUE.C_FMEM_READ_EN } {
	# Procedure called to update C_FMEM_READ_EN when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_FMEM_READ_EN { PARAM_VALUE.C_FMEM_READ_EN } {
	# Procedure called to validate C_FMEM_READ_EN
	return true
}

proc update_PARAM_VALUE.C_SCLK_FREQ_HZ { PARAM_VALUE.C_SCLK_FREQ_HZ } {
	# Procedure called to update C_SCLK_FREQ_HZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SCLK_FREQ_HZ { PARAM_VALUE.C_SCLK_FREQ_HZ } {
	# Procedure called to validate C_SCLK_FREQ_HZ
	return true
}

proc update_PARAM_VALUE.C_SYSTEMCLOCK { PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to update C_SYSTEMCLOCK when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SYSTEMCLOCK { PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to validate C_SYSTEMCLOCK
	return true
}

proc update_PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to update C_S_AXI_ACLK_FREQ_HZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to validate C_S_AXI_ACLK_FREQ_HZ
	return true
}

proc update_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to update C_S_AXI_ADDR_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to validate C_S_AXI_ADDR_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to update C_S_AXI_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to validate C_S_AXI_DATA_WIDTH
	return true
}


proc update_MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ}] ${MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ}
}

proc update_MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH { MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_DATA_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH { MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_ADDR_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH}
}

proc update_MODELPARAM_VALUE.C_SYSTEMCLOCK { MODELPARAM_VALUE.C_SYSTEMCLOCK PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SYSTEMCLOCK}] ${MODELPARAM_VALUE.C_SYSTEMCLOCK}
}

proc update_MODELPARAM_VALUE.C_SCLK_FREQ_HZ { MODELPARAM_VALUE.C_SCLK_FREQ_HZ PARAM_VALUE.C_SCLK_FREQ_HZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SCLK_FREQ_HZ}] ${MODELPARAM_VALUE.C_SCLK_FREQ_HZ}
}

proc update_MODELPARAM_VALUE.C_FMEM_READ_EN { MODELPARAM_VALUE.C_FMEM_READ_EN PARAM_VALUE.C_FMEM_READ_EN } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_FMEM_READ_EN}] ${MODELPARAM_VALUE.C_FMEM_READ_EN}
}

