# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_HAS_PHY_TX_REG" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_NOT_MAC_RX_CLK" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_NOT_MAC_TX_CLK" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_NOT_PHY_RX_CLK" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_NOT_PHY_TX_CLK" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_RESET_CLKS_MAX" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_HAS_PHY_TX_REG { PARAM_VALUE.C_HAS_PHY_TX_REG } {
	# Procedure called to update C_HAS_PHY_TX_REG when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_HAS_PHY_TX_REG { PARAM_VALUE.C_HAS_PHY_TX_REG } {
	# Procedure called to validate C_HAS_PHY_TX_REG
	return true
}

proc update_PARAM_VALUE.C_NOT_MAC_RX_CLK { PARAM_VALUE.C_NOT_MAC_RX_CLK } {
	# Procedure called to update C_NOT_MAC_RX_CLK when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_NOT_MAC_RX_CLK { PARAM_VALUE.C_NOT_MAC_RX_CLK } {
	# Procedure called to validate C_NOT_MAC_RX_CLK
	return true
}

proc update_PARAM_VALUE.C_NOT_MAC_TX_CLK { PARAM_VALUE.C_NOT_MAC_TX_CLK } {
	# Procedure called to update C_NOT_MAC_TX_CLK when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_NOT_MAC_TX_CLK { PARAM_VALUE.C_NOT_MAC_TX_CLK } {
	# Procedure called to validate C_NOT_MAC_TX_CLK
	return true
}

proc update_PARAM_VALUE.C_NOT_PHY_RX_CLK { PARAM_VALUE.C_NOT_PHY_RX_CLK } {
	# Procedure called to update C_NOT_PHY_RX_CLK when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_NOT_PHY_RX_CLK { PARAM_VALUE.C_NOT_PHY_RX_CLK } {
	# Procedure called to validate C_NOT_PHY_RX_CLK
	return true
}

proc update_PARAM_VALUE.C_NOT_PHY_TX_CLK { PARAM_VALUE.C_NOT_PHY_TX_CLK } {
	# Procedure called to update C_NOT_PHY_TX_CLK when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_NOT_PHY_TX_CLK { PARAM_VALUE.C_NOT_PHY_TX_CLK } {
	# Procedure called to validate C_NOT_PHY_TX_CLK
	return true
}

proc update_PARAM_VALUE.C_RESET_CLKS_MAX { PARAM_VALUE.C_RESET_CLKS_MAX } {
	# Procedure called to update C_RESET_CLKS_MAX when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_RESET_CLKS_MAX { PARAM_VALUE.C_RESET_CLKS_MAX } {
	# Procedure called to validate C_RESET_CLKS_MAX
	return true
}


proc update_MODELPARAM_VALUE.C_RESET_CLKS_MAX { MODELPARAM_VALUE.C_RESET_CLKS_MAX PARAM_VALUE.C_RESET_CLKS_MAX } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_RESET_CLKS_MAX}] ${MODELPARAM_VALUE.C_RESET_CLKS_MAX}
}

proc update_MODELPARAM_VALUE.C_NOT_MAC_TX_CLK { MODELPARAM_VALUE.C_NOT_MAC_TX_CLK PARAM_VALUE.C_NOT_MAC_TX_CLK } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_NOT_MAC_TX_CLK}] ${MODELPARAM_VALUE.C_NOT_MAC_TX_CLK}
}

proc update_MODELPARAM_VALUE.C_NOT_MAC_RX_CLK { MODELPARAM_VALUE.C_NOT_MAC_RX_CLK PARAM_VALUE.C_NOT_MAC_RX_CLK } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_NOT_MAC_RX_CLK}] ${MODELPARAM_VALUE.C_NOT_MAC_RX_CLK}
}

proc update_MODELPARAM_VALUE.C_NOT_PHY_TX_CLK { MODELPARAM_VALUE.C_NOT_PHY_TX_CLK PARAM_VALUE.C_NOT_PHY_TX_CLK } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_NOT_PHY_TX_CLK}] ${MODELPARAM_VALUE.C_NOT_PHY_TX_CLK}
}

proc update_MODELPARAM_VALUE.C_NOT_PHY_RX_CLK { MODELPARAM_VALUE.C_NOT_PHY_RX_CLK PARAM_VALUE.C_NOT_PHY_RX_CLK } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_NOT_PHY_RX_CLK}] ${MODELPARAM_VALUE.C_NOT_PHY_RX_CLK}
}

proc update_MODELPARAM_VALUE.C_HAS_PHY_TX_REG { MODELPARAM_VALUE.C_HAS_PHY_TX_REG PARAM_VALUE.C_HAS_PHY_TX_REG } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_HAS_PHY_TX_REG}] ${MODELPARAM_VALUE.C_HAS_PHY_TX_REG}
}

