# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_CLARKE_NPHS" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_ENCODER" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_HALLSENSOR" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_HW_LINK_REF" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_INV_EVAL_VPHS" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_INV_FILTER" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_INV_IN_MAP" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_INV_IN_NOT" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_INV_OFSV_MODE" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_INV_OVER_IBUS" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_INV_OVER_IPHS" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_ISOVERFLOW_CMAX" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_MANROT" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_MRT_ACCMAX_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_PI_ERINT_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_PI_ERPRO_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_PWM_MODULATOR" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_RESOLVER" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_RPFM_3_LEVEL" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_RPFM_MODULATOR" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_RPFM_TPNC" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_RSV_MINANV" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SLP_INDWP_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SLP_INDWP_KDIV" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SLP_INT_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SLP_PRO_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SMO_EVAL" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SMO_F2_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SMO_ZS_DLN2" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SPD_EVAL" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SPEED_CTRL" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_SYSTEMCLOCK" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_S_AXI_ACLK_FREQ_HZ" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_S_AXI_ADDR_WIDTH" -parent ${Page_0}
  ipgui::add_param $IPINST -name "C_S_AXI_DATA_WIDTH" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_CLARKE_NPHS { PARAM_VALUE.C_CLARKE_NPHS } {
	# Procedure called to update C_CLARKE_NPHS when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_CLARKE_NPHS { PARAM_VALUE.C_CLARKE_NPHS } {
	# Procedure called to validate C_CLARKE_NPHS
	return true
}

proc update_PARAM_VALUE.C_ENCODER { PARAM_VALUE.C_ENCODER } {
	# Procedure called to update C_ENCODER when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_ENCODER { PARAM_VALUE.C_ENCODER } {
	# Procedure called to validate C_ENCODER
	return true
}

proc update_PARAM_VALUE.C_HALLSENSOR { PARAM_VALUE.C_HALLSENSOR } {
	# Procedure called to update C_HALLSENSOR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_HALLSENSOR { PARAM_VALUE.C_HALLSENSOR } {
	# Procedure called to validate C_HALLSENSOR
	return true
}

proc update_PARAM_VALUE.C_HW_LINK_REF { PARAM_VALUE.C_HW_LINK_REF } {
	# Procedure called to update C_HW_LINK_REF when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_HW_LINK_REF { PARAM_VALUE.C_HW_LINK_REF } {
	# Procedure called to validate C_HW_LINK_REF
	return true
}

proc update_PARAM_VALUE.C_INV_EVAL_VPHS { PARAM_VALUE.C_INV_EVAL_VPHS } {
	# Procedure called to update C_INV_EVAL_VPHS when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_INV_EVAL_VPHS { PARAM_VALUE.C_INV_EVAL_VPHS } {
	# Procedure called to validate C_INV_EVAL_VPHS
	return true
}

proc update_PARAM_VALUE.C_INV_FILTER { PARAM_VALUE.C_INV_FILTER } {
	# Procedure called to update C_INV_FILTER when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_INV_FILTER { PARAM_VALUE.C_INV_FILTER } {
	# Procedure called to validate C_INV_FILTER
	return true
}

proc update_PARAM_VALUE.C_INV_IN_MAP { PARAM_VALUE.C_INV_IN_MAP } {
	# Procedure called to update C_INV_IN_MAP when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_INV_IN_MAP { PARAM_VALUE.C_INV_IN_MAP } {
	# Procedure called to validate C_INV_IN_MAP
	return true
}

proc update_PARAM_VALUE.C_INV_IN_NOT { PARAM_VALUE.C_INV_IN_NOT } {
	# Procedure called to update C_INV_IN_NOT when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_INV_IN_NOT { PARAM_VALUE.C_INV_IN_NOT } {
	# Procedure called to validate C_INV_IN_NOT
	return true
}

proc update_PARAM_VALUE.C_INV_OFSV_MODE { PARAM_VALUE.C_INV_OFSV_MODE } {
	# Procedure called to update C_INV_OFSV_MODE when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_INV_OFSV_MODE { PARAM_VALUE.C_INV_OFSV_MODE } {
	# Procedure called to validate C_INV_OFSV_MODE
	return true
}

proc update_PARAM_VALUE.C_INV_OVER_IBUS { PARAM_VALUE.C_INV_OVER_IBUS } {
	# Procedure called to update C_INV_OVER_IBUS when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_INV_OVER_IBUS { PARAM_VALUE.C_INV_OVER_IBUS } {
	# Procedure called to validate C_INV_OVER_IBUS
	return true
}

proc update_PARAM_VALUE.C_INV_OVER_IPHS { PARAM_VALUE.C_INV_OVER_IPHS } {
	# Procedure called to update C_INV_OVER_IPHS when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_INV_OVER_IPHS { PARAM_VALUE.C_INV_OVER_IPHS } {
	# Procedure called to validate C_INV_OVER_IPHS
	return true
}

proc update_PARAM_VALUE.C_ISOVERFLOW_CMAX { PARAM_VALUE.C_ISOVERFLOW_CMAX } {
	# Procedure called to update C_ISOVERFLOW_CMAX when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_ISOVERFLOW_CMAX { PARAM_VALUE.C_ISOVERFLOW_CMAX } {
	# Procedure called to validate C_ISOVERFLOW_CMAX
	return true
}

proc update_PARAM_VALUE.C_MANROT { PARAM_VALUE.C_MANROT } {
	# Procedure called to update C_MANROT when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_MANROT { PARAM_VALUE.C_MANROT } {
	# Procedure called to validate C_MANROT
	return true
}

proc update_PARAM_VALUE.C_MRT_ACCMAX_DLN2 { PARAM_VALUE.C_MRT_ACCMAX_DLN2 } {
	# Procedure called to update C_MRT_ACCMAX_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_MRT_ACCMAX_DLN2 { PARAM_VALUE.C_MRT_ACCMAX_DLN2 } {
	# Procedure called to validate C_MRT_ACCMAX_DLN2
	return true
}

proc update_PARAM_VALUE.C_PI_ERINT_DLN2 { PARAM_VALUE.C_PI_ERINT_DLN2 } {
	# Procedure called to update C_PI_ERINT_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_PI_ERINT_DLN2 { PARAM_VALUE.C_PI_ERINT_DLN2 } {
	# Procedure called to validate C_PI_ERINT_DLN2
	return true
}

proc update_PARAM_VALUE.C_PI_ERPRO_DLN2 { PARAM_VALUE.C_PI_ERPRO_DLN2 } {
	# Procedure called to update C_PI_ERPRO_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_PI_ERPRO_DLN2 { PARAM_VALUE.C_PI_ERPRO_DLN2 } {
	# Procedure called to validate C_PI_ERPRO_DLN2
	return true
}

proc update_PARAM_VALUE.C_PWM_MODULATOR { PARAM_VALUE.C_PWM_MODULATOR } {
	# Procedure called to update C_PWM_MODULATOR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_PWM_MODULATOR { PARAM_VALUE.C_PWM_MODULATOR } {
	# Procedure called to validate C_PWM_MODULATOR
	return true
}

proc update_PARAM_VALUE.C_RESOLVER { PARAM_VALUE.C_RESOLVER } {
	# Procedure called to update C_RESOLVER when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_RESOLVER { PARAM_VALUE.C_RESOLVER } {
	# Procedure called to validate C_RESOLVER
	return true
}

proc update_PARAM_VALUE.C_RPFM_3_LEVEL { PARAM_VALUE.C_RPFM_3_LEVEL } {
	# Procedure called to update C_RPFM_3_LEVEL when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_RPFM_3_LEVEL { PARAM_VALUE.C_RPFM_3_LEVEL } {
	# Procedure called to validate C_RPFM_3_LEVEL
	return true
}

proc update_PARAM_VALUE.C_RPFM_MODULATOR { PARAM_VALUE.C_RPFM_MODULATOR } {
	# Procedure called to update C_RPFM_MODULATOR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_RPFM_MODULATOR { PARAM_VALUE.C_RPFM_MODULATOR } {
	# Procedure called to validate C_RPFM_MODULATOR
	return true
}

proc update_PARAM_VALUE.C_RPFM_TPNC { PARAM_VALUE.C_RPFM_TPNC } {
	# Procedure called to update C_RPFM_TPNC when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_RPFM_TPNC { PARAM_VALUE.C_RPFM_TPNC } {
	# Procedure called to validate C_RPFM_TPNC
	return true
}

proc update_PARAM_VALUE.C_RSV_MINANV { PARAM_VALUE.C_RSV_MINANV } {
	# Procedure called to update C_RSV_MINANV when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_RSV_MINANV { PARAM_VALUE.C_RSV_MINANV } {
	# Procedure called to validate C_RSV_MINANV
	return true
}

proc update_PARAM_VALUE.C_SLP_INDWP_DLN2 { PARAM_VALUE.C_SLP_INDWP_DLN2 } {
	# Procedure called to update C_SLP_INDWP_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SLP_INDWP_DLN2 { PARAM_VALUE.C_SLP_INDWP_DLN2 } {
	# Procedure called to validate C_SLP_INDWP_DLN2
	return true
}

proc update_PARAM_VALUE.C_SLP_INDWP_KDIV { PARAM_VALUE.C_SLP_INDWP_KDIV } {
	# Procedure called to update C_SLP_INDWP_KDIV when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SLP_INDWP_KDIV { PARAM_VALUE.C_SLP_INDWP_KDIV } {
	# Procedure called to validate C_SLP_INDWP_KDIV
	return true
}

proc update_PARAM_VALUE.C_SLP_INT_DLN2 { PARAM_VALUE.C_SLP_INT_DLN2 } {
	# Procedure called to update C_SLP_INT_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SLP_INT_DLN2 { PARAM_VALUE.C_SLP_INT_DLN2 } {
	# Procedure called to validate C_SLP_INT_DLN2
	return true
}

proc update_PARAM_VALUE.C_SLP_PRO_DLN2 { PARAM_VALUE.C_SLP_PRO_DLN2 } {
	# Procedure called to update C_SLP_PRO_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SLP_PRO_DLN2 { PARAM_VALUE.C_SLP_PRO_DLN2 } {
	# Procedure called to validate C_SLP_PRO_DLN2
	return true
}

proc update_PARAM_VALUE.C_SMO_EVAL { PARAM_VALUE.C_SMO_EVAL } {
	# Procedure called to update C_SMO_EVAL when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SMO_EVAL { PARAM_VALUE.C_SMO_EVAL } {
	# Procedure called to validate C_SMO_EVAL
	return true
}

proc update_PARAM_VALUE.C_SMO_F2_DLN2 { PARAM_VALUE.C_SMO_F2_DLN2 } {
	# Procedure called to update C_SMO_F2_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SMO_F2_DLN2 { PARAM_VALUE.C_SMO_F2_DLN2 } {
	# Procedure called to validate C_SMO_F2_DLN2
	return true
}

proc update_PARAM_VALUE.C_SMO_ZS_DLN2 { PARAM_VALUE.C_SMO_ZS_DLN2 } {
	# Procedure called to update C_SMO_ZS_DLN2 when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SMO_ZS_DLN2 { PARAM_VALUE.C_SMO_ZS_DLN2 } {
	# Procedure called to validate C_SMO_ZS_DLN2
	return true
}

proc update_PARAM_VALUE.C_SPD_EVAL { PARAM_VALUE.C_SPD_EVAL } {
	# Procedure called to update C_SPD_EVAL when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SPD_EVAL { PARAM_VALUE.C_SPD_EVAL } {
	# Procedure called to validate C_SPD_EVAL
	return true
}

proc update_PARAM_VALUE.C_SPEED_CTRL { PARAM_VALUE.C_SPEED_CTRL } {
	# Procedure called to update C_SPEED_CTRL when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SPEED_CTRL { PARAM_VALUE.C_SPEED_CTRL } {
	# Procedure called to validate C_SPEED_CTRL
	return true
}

proc update_PARAM_VALUE.C_SYSTEMCLOCK { PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to update C_SYSTEMCLOCK when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_SYSTEMCLOCK { PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to validate C_SYSTEMCLOCK
	return true
}

proc update_PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to update C_S_AXI_ACLK_FREQ_HZ when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to validate C_S_AXI_ACLK_FREQ_HZ
	return true
}

proc update_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to update C_S_AXI_ADDR_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_ADDR_WIDTH { PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to validate C_S_AXI_ADDR_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to update C_S_AXI_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S_AXI_DATA_WIDTH { PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to validate C_S_AXI_DATA_WIDTH
	return true
}


proc update_MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ { MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ}] ${MODELPARAM_VALUE.C_S_AXI_ACLK_FREQ_HZ}
}

proc update_MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH { MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH PARAM_VALUE.C_S_AXI_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_DATA_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH { MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH PARAM_VALUE.C_S_AXI_ADDR_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S_AXI_ADDR_WIDTH}] ${MODELPARAM_VALUE.C_S_AXI_ADDR_WIDTH}
}

proc update_MODELPARAM_VALUE.C_SYSTEMCLOCK { MODELPARAM_VALUE.C_SYSTEMCLOCK PARAM_VALUE.C_SYSTEMCLOCK } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SYSTEMCLOCK}] ${MODELPARAM_VALUE.C_SYSTEMCLOCK}
}

proc update_MODELPARAM_VALUE.C_HW_LINK_REF { MODELPARAM_VALUE.C_HW_LINK_REF PARAM_VALUE.C_HW_LINK_REF } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_HW_LINK_REF}] ${MODELPARAM_VALUE.C_HW_LINK_REF}
}

proc update_MODELPARAM_VALUE.C_INV_IN_MAP { MODELPARAM_VALUE.C_INV_IN_MAP PARAM_VALUE.C_INV_IN_MAP } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_INV_IN_MAP}] ${MODELPARAM_VALUE.C_INV_IN_MAP}
}

proc update_MODELPARAM_VALUE.C_INV_IN_NOT { MODELPARAM_VALUE.C_INV_IN_NOT PARAM_VALUE.C_INV_IN_NOT } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_INV_IN_NOT}] ${MODELPARAM_VALUE.C_INV_IN_NOT}
}

proc update_MODELPARAM_VALUE.C_INV_OFSV_MODE { MODELPARAM_VALUE.C_INV_OFSV_MODE PARAM_VALUE.C_INV_OFSV_MODE } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_INV_OFSV_MODE}] ${MODELPARAM_VALUE.C_INV_OFSV_MODE}
}

proc update_MODELPARAM_VALUE.C_INV_OVER_IPHS { MODELPARAM_VALUE.C_INV_OVER_IPHS PARAM_VALUE.C_INV_OVER_IPHS } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_INV_OVER_IPHS}] ${MODELPARAM_VALUE.C_INV_OVER_IPHS}
}

proc update_MODELPARAM_VALUE.C_INV_OVER_IBUS { MODELPARAM_VALUE.C_INV_OVER_IBUS PARAM_VALUE.C_INV_OVER_IBUS } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_INV_OVER_IBUS}] ${MODELPARAM_VALUE.C_INV_OVER_IBUS}
}

proc update_MODELPARAM_VALUE.C_INV_FILTER { MODELPARAM_VALUE.C_INV_FILTER PARAM_VALUE.C_INV_FILTER } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_INV_FILTER}] ${MODELPARAM_VALUE.C_INV_FILTER}
}

proc update_MODELPARAM_VALUE.C_INV_EVAL_VPHS { MODELPARAM_VALUE.C_INV_EVAL_VPHS PARAM_VALUE.C_INV_EVAL_VPHS } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_INV_EVAL_VPHS}] ${MODELPARAM_VALUE.C_INV_EVAL_VPHS}
}

proc update_MODELPARAM_VALUE.C_CLARKE_NPHS { MODELPARAM_VALUE.C_CLARKE_NPHS PARAM_VALUE.C_CLARKE_NPHS } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_CLARKE_NPHS}] ${MODELPARAM_VALUE.C_CLARKE_NPHS}
}

proc update_MODELPARAM_VALUE.C_PWM_MODULATOR { MODELPARAM_VALUE.C_PWM_MODULATOR PARAM_VALUE.C_PWM_MODULATOR } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_PWM_MODULATOR}] ${MODELPARAM_VALUE.C_PWM_MODULATOR}
}

proc update_MODELPARAM_VALUE.C_RPFM_MODULATOR { MODELPARAM_VALUE.C_RPFM_MODULATOR PARAM_VALUE.C_RPFM_MODULATOR } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_RPFM_MODULATOR}] ${MODELPARAM_VALUE.C_RPFM_MODULATOR}
}

proc update_MODELPARAM_VALUE.C_RPFM_3_LEVEL { MODELPARAM_VALUE.C_RPFM_3_LEVEL PARAM_VALUE.C_RPFM_3_LEVEL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_RPFM_3_LEVEL}] ${MODELPARAM_VALUE.C_RPFM_3_LEVEL}
}

proc update_MODELPARAM_VALUE.C_RPFM_TPNC { MODELPARAM_VALUE.C_RPFM_TPNC PARAM_VALUE.C_RPFM_TPNC } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_RPFM_TPNC}] ${MODELPARAM_VALUE.C_RPFM_TPNC}
}

proc update_MODELPARAM_VALUE.C_SMO_EVAL { MODELPARAM_VALUE.C_SMO_EVAL PARAM_VALUE.C_SMO_EVAL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SMO_EVAL}] ${MODELPARAM_VALUE.C_SMO_EVAL}
}

proc update_MODELPARAM_VALUE.C_SPD_EVAL { MODELPARAM_VALUE.C_SPD_EVAL PARAM_VALUE.C_SPD_EVAL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SPD_EVAL}] ${MODELPARAM_VALUE.C_SPD_EVAL}
}

proc update_MODELPARAM_VALUE.C_SPEED_CTRL { MODELPARAM_VALUE.C_SPEED_CTRL PARAM_VALUE.C_SPEED_CTRL } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SPEED_CTRL}] ${MODELPARAM_VALUE.C_SPEED_CTRL}
}

proc update_MODELPARAM_VALUE.C_RESOLVER { MODELPARAM_VALUE.C_RESOLVER PARAM_VALUE.C_RESOLVER } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_RESOLVER}] ${MODELPARAM_VALUE.C_RESOLVER}
}

proc update_MODELPARAM_VALUE.C_RSV_MINANV { MODELPARAM_VALUE.C_RSV_MINANV PARAM_VALUE.C_RSV_MINANV } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_RSV_MINANV}] ${MODELPARAM_VALUE.C_RSV_MINANV}
}

proc update_MODELPARAM_VALUE.C_HALLSENSOR { MODELPARAM_VALUE.C_HALLSENSOR PARAM_VALUE.C_HALLSENSOR } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_HALLSENSOR}] ${MODELPARAM_VALUE.C_HALLSENSOR}
}

proc update_MODELPARAM_VALUE.C_ENCODER { MODELPARAM_VALUE.C_ENCODER PARAM_VALUE.C_ENCODER } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_ENCODER}] ${MODELPARAM_VALUE.C_ENCODER}
}

proc update_MODELPARAM_VALUE.C_MANROT { MODELPARAM_VALUE.C_MANROT PARAM_VALUE.C_MANROT } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_MANROT}] ${MODELPARAM_VALUE.C_MANROT}
}

proc update_MODELPARAM_VALUE.C_MRT_ACCMAX_DLN2 { MODELPARAM_VALUE.C_MRT_ACCMAX_DLN2 PARAM_VALUE.C_MRT_ACCMAX_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_MRT_ACCMAX_DLN2}] ${MODELPARAM_VALUE.C_MRT_ACCMAX_DLN2}
}

proc update_MODELPARAM_VALUE.C_SMO_ZS_DLN2 { MODELPARAM_VALUE.C_SMO_ZS_DLN2 PARAM_VALUE.C_SMO_ZS_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SMO_ZS_DLN2}] ${MODELPARAM_VALUE.C_SMO_ZS_DLN2}
}

proc update_MODELPARAM_VALUE.C_SMO_F2_DLN2 { MODELPARAM_VALUE.C_SMO_F2_DLN2 PARAM_VALUE.C_SMO_F2_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SMO_F2_DLN2}] ${MODELPARAM_VALUE.C_SMO_F2_DLN2}
}

proc update_MODELPARAM_VALUE.C_SLP_PRO_DLN2 { MODELPARAM_VALUE.C_SLP_PRO_DLN2 PARAM_VALUE.C_SLP_PRO_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SLP_PRO_DLN2}] ${MODELPARAM_VALUE.C_SLP_PRO_DLN2}
}

proc update_MODELPARAM_VALUE.C_SLP_INT_DLN2 { MODELPARAM_VALUE.C_SLP_INT_DLN2 PARAM_VALUE.C_SLP_INT_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SLP_INT_DLN2}] ${MODELPARAM_VALUE.C_SLP_INT_DLN2}
}

proc update_MODELPARAM_VALUE.C_SLP_INDWP_DLN2 { MODELPARAM_VALUE.C_SLP_INDWP_DLN2 PARAM_VALUE.C_SLP_INDWP_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SLP_INDWP_DLN2}] ${MODELPARAM_VALUE.C_SLP_INDWP_DLN2}
}

proc update_MODELPARAM_VALUE.C_SLP_INDWP_KDIV { MODELPARAM_VALUE.C_SLP_INDWP_KDIV PARAM_VALUE.C_SLP_INDWP_KDIV } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_SLP_INDWP_KDIV}] ${MODELPARAM_VALUE.C_SLP_INDWP_KDIV}
}

proc update_MODELPARAM_VALUE.C_ISOVERFLOW_CMAX { MODELPARAM_VALUE.C_ISOVERFLOW_CMAX PARAM_VALUE.C_ISOVERFLOW_CMAX } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_ISOVERFLOW_CMAX}] ${MODELPARAM_VALUE.C_ISOVERFLOW_CMAX}
}

proc update_MODELPARAM_VALUE.C_PI_ERPRO_DLN2 { MODELPARAM_VALUE.C_PI_ERPRO_DLN2 PARAM_VALUE.C_PI_ERPRO_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_PI_ERPRO_DLN2}] ${MODELPARAM_VALUE.C_PI_ERPRO_DLN2}
}

proc update_MODELPARAM_VALUE.C_PI_ERINT_DLN2 { MODELPARAM_VALUE.C_PI_ERINT_DLN2 PARAM_VALUE.C_PI_ERINT_DLN2 } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_PI_ERINT_DLN2}] ${MODELPARAM_VALUE.C_PI_ERINT_DLN2}
}

