
#uses "xillib.tcl"

proc generate {drv_handle} {
  xdefine_include_file $drv_handle "xparameters.h" "motorfoc" "NUM_INSTANCES" "DEVICE_ID" "C_BASEADDR" "C_HIGHADDR" \
	"C_SYSTEMCLOCK" \
		\
	"C_HW_LINK_REF" \
		\
	"C_INV_IN_MAP" \
	"C_INV_IN_NOT" \
	"C_INV_OFSV_MODE" \
	"C_INV_OVER_IPHS" \
	"C_INV_OVER_IBUS" \
	"C_INV_FILTER" \
	"C_CLARKE_NPHS" \
	"C_PWM_MODULATOR" \
	"C_RPFM_MODULATOR" \
	"C_RPFM_3_LEVEL" \
	"C_RPFM_TPNC" \
	"C_SMO_EVAL" \
	"C_SPD_EVAL" \
	"C_SPEED_CTRL" \
	"C_RESOLVER" \
	"C_HALLSENSOR" \
	"C_ENCODER" \
	"C_MANROT" \
	"C_MRT_ACCMAX_DLN2" \
	"C_SMO_ZS_DLN2" \
	"C_SMO_F2_DLN2" \
	"C_SLP_PRO_DLN2" \
	"C_SLP_INT_DLN2" \
	"C_SLP_INDWP_DLN2" \
	"C_SLP_INDWP_KDIV" \
	"C_ISOVERFLOW_CMAX" \
	"C_PI_ERPRO_DLN2" \
	"C_PI_ERINT_DLN2"
	
  xdefine_config_file $drv_handle "motorfoc_g.c" "motorfoc"  "DEVICE_ID" "C_BASEADDR" \
	"C_SYSTEMCLOCK" \
		\
	"C_HW_LINK_REF" \
		\
	"C_INV_IN_MAP" \
	"C_INV_IN_NOT" \
	"C_INV_OFSV_MODE" \
	"C_INV_OVER_IPHS" \
	"C_INV_OVER_IBUS" \
	"C_INV_FILTER" \
	"C_CLARKE_NPHS" \
	"C_PWM_MODULATOR" \
	"C_RPFM_MODULATOR" \
	"C_RPFM_3_LEVEL" \
	"C_RPFM_TPNC" \
	"C_SMO_EVAL" \
	"C_SPD_EVAL" \
	"C_SPEED_CTRL" \
	"C_RESOLVER" \
	"C_HALLSENSOR" \
	"C_ENCODER" \
	"C_MANROT" \
	"C_MRT_ACCMAX_DLN2" \
	"C_SMO_ZS_DLN2" \
	"C_SMO_F2_DLN2" \
	"C_SLP_PRO_DLN2" \
	"C_SLP_INT_DLN2" \
	"C_SLP_INDWP_DLN2" \
	"C_SLP_INDWP_KDIV" \
	"C_ISOVERFLOW_CMAX" \
	"C_PI_ERPRO_DLN2" \
	"C_PI_ERINT_DLN2"
	
  xdefine_canonical_xpars $drv_handle "xparameters.h" "motorfoc" "DEVICE_ID" "C_BASEADDR" \
  	"C_SYSTEMCLOCK"

 }
