set_clock_groups -name async -asynchronous \
-group [get_clocks -include_generated_clocks *clk_pl_0*] \
-group [get_clocks *clk_pl_1*] \
-group [get_clocks *mipi_0_csi_clk*] \
-group [get_clocks *mipi_1_csi_clk*] \
-group [get_clocks *aurora_64b66b_0_user_clk*] \
-group [get_clocks *clk_fpga*] \
-group [get_clocks *clk_wiz*clk_in1*] \
-group [get_clocks *clk_333Mhz*] \
-group [get_clocks *clk_out1_xdp*] \
-group [get_clocks *clk_out2_xdp*] \
-group [get_clocks *txoutclk*]

set bufg_net [get_nets -hier -regexp -nocase .*xdp_trd.*util_ds_buf_2.*BUFG.*]
set_property CLOCK_DEDICATED_ROUTE BACKBONE [get_nets $bufg_net]
